
 EXEC P_ALTERPK 'PK_T_OPENAPI_COSTDATA', 'T_OPENAPI_COSTDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COSTDATA_CREATETIME') CREATE INDEX IDX_COSTDATA_CREATETIME ON T_OPENAPI_COSTDATA ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_OPENAPI_ALARMCONFIG', 'T_OPENAPI_ALARMCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ALARMCONFIG_NUMBER') CREATE INDEX IDX_ALARMCONFIG_NUMBER ON T_OPENAPI_ALARMCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_OPENAPI_ALARM_RECEIVER', 'T_OPENAPI_ALARM_RECEIVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPENAPI_ALARM_RECEIVER_FK') CREATE INDEX IDX_OPENAPI_ALARM_RECEIVER_FK ON T_OPENAPI_ALARM_RECEIVER ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_ALARM_MSGTYPE', 'T_OPENAPI_ALARM_MSGTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPENAPI_ALARM_MSGTYPE_FK') CREATE INDEX IDX_OPENAPI_ALARM_MSGTYPE_FK ON T_OPENAPI_ALARM_MSGTYPE ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_ALARMCONFIG_L', 'T_OPENAPI_ALARMCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPENAPI_ALARMCONFIG_FID') CREATE INDEX IDX_OPENAPI_ALARMCONFIG_FID ON T_OPENAPI_ALARMCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_ALARMLOG', 'T_OPENAPI_ALARMLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ALARMLOG_CREATETIME') CREATE INDEX IDX_ALARMLOG_CREATETIME ON T_OPENAPI_ALARMLOG ( FCREATETIME );

